Name:          lz4
Version:       1.8.0
Release:       1mamba
Summary:       Extremely Fast Compression algorithm
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://lz4.github.io/lz4/
## GITSOURCE https://github.com/lz4/lz4.git v1.8.0
Source:        https://github.com/lz4/lz4.git/v%{version}/lz4-%{version}.tar.bz2
License:       BSD, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LZ4 is lossless compression algorithm, providing compression speed at 400 MB/s per core, scalable with multi-cores CPU. It features an extremely fast decoder, with speed in multiple GB/s per core, typically reaching RAM speed limits on multi-core systems.
Speed can be tuned dynamically, selecting an "acceleration" factor which trades compression ratio for more speed up. On the other end, a high compression derivative, LZ4_HC, is also provided, trading CPU time for improved compression ratio. All versions feature the same decompression speed.
LZ4 library is provided as open-source software using BSD 2-Clause license.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.
LZ4 is lossless compression algorithm, providing compression speed at 400 MB/s per core, scalable with multi-cores CPU. It features an extremely fast decoder, with speed in multiple GB/s per core, typically reaching RAM speed limits on multi-core systems.

Speed can be tuned dynamically, selecting an "acceleration" factor which trades compression ratio for more speed up. On the other end, a high compression derivative, LZ4_HC, is also provided, trading CPU time for improved compression ratio. All versions feature the same decompression speed.

LZ4 library is provided as open-source software using BSD 2-Clause license.
%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%make \
   PREFIX=%{_prefix} \
   LIBDIR=%{_libdir} \
   MANDIR=%{_mandir}/man1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   PREFIX=%{_prefix} \
   LIBDIR=%{_libdir} \
   MANDIR=%{_mandir}/man1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/lz4
%{_bindir}/lz4c
%{_bindir}/lz4cat
%{_bindir}/unlz4
%{_mandir}/man1/lz4.1*
%{_mandir}/man1/lz4c.1*
%{_mandir}/man1/lz4cat.1*
%{_mandir}/man1/unlz4.1*
%doc LICENSE

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/liblz4.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/lz4.h
%{_includedir}/lz4frame.h
%{_includedir}/lz4frame_static.h
%{_includedir}/lz4hc.h
%{_libdir}/liblz4.a
%{_libdir}/liblz4.so
%{_libdir}/pkgconfig/liblz4.pc
%doc NEWS README.md

%changelog
* Sun Nov 19 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- package created using the webbuild interface
